Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Appel à contributeurs pour la doc.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 17/03/2017, à 21:03

ettoremajorana

[RESOLU] 3 paquets que je n'arrive pas à mettre à jour

Bonsoir,

Oui, moi aussi, j'ai le même problème, à savoir 3 paquets que je n'arrive pas à mettre à jour; du coup, j'utilise le même fil de discussion.

ettore@ettore-CR700:~$ sudo apt update
[sudo] Mot de passe de ettore : 
Atteint:1 http://security.ubuntu.com/ubuntu yakkety-security InRelease
Atteint:2 http://fr.archive.ubuntu.com/ubuntu yakkety InRelease
Atteint:3 http://fr.archive.ubuntu.com/ubuntu yakkety-updates InRelease
Lecture des listes de paquets... Fait                         
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
3 packages can be upgraded. Run 'apt list --upgradable' to see them.
ettore@ettore-CR700:~$ apt list --upgradable
En train de lister... Fait
linux-generic/yakkety-updates 4.8.0.42.54 amd64 [upgradable from: 4.8.0.41.52]
linux-headers-generic/yakkety-updates 4.8.0.42.54 amd64 [upgradable from: 4.8.0.41.52]
linux-image-generic/yakkety-updates 4.8.0.42.54 amd64 [upgradable from: 4.8.0.41.52]
ettore@ettore-CR700:~$ sudo apt update
Atteint:1 http://security.ubuntu.com/ubuntu yakkety-security InRelease
Atteint:2 http://fr.archive.ubuntu.com/ubuntu yakkety InRelease
Atteint:3 http://fr.archive.ubuntu.com/ubuntu yakkety-updates InRelease
Lecture des listes de paquets... Fait                         
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
3 packages can be upgraded. Run 'apt list --upgradable' to see them.
ettore@ettore-CR700:~$ sudo apt upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants ont été conservés :
  linux-generic linux-headers-generic linux-image-generic
0 mis à jour, 0 nouvellement installés, 0 à enlever et 3 non mis à jour.
ettore@ettore-CR700:~$ 

Quelqu'un a-t-il une solution ?


Modération

Afin d'éviter la confusion; merci de ne pas squatter la discussion d'un autre membre : deux problèmes d'apparence similaire peuvent avoir des causes différentes et nécessiter des solutions différentes.

Dernière modification par ettoremajorana (Le 18/03/2017, à 00:06)

Hors ligne

#2 Le 17/03/2017, à 21:09

cqfd93

Re : [RESOLU] 3 paquets que je n'arrive pas à mettre à jour

Bonjour,

Et dans ton cas, je crois que c'est parce que tu n'utilises pas la bonne commande. Au lieu de :

sudo apt upgrade

Fais :

sudo apt full-upgrade

Hors ligne

#3 Le 17/03/2017, à 21:17

ettoremajorana

Re : [RESOLU] 3 paquets que je n'arrive pas à mettre à jour

Désolé pour le squatt de fil.

ettore@ettore-CR700:~$ sudo apt full-upgrade
[sudo] Mot de passe de ettore : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants seront ENLEVÉS :
  linux-generic
Les paquets suivants ont été conservés :
  linux-image-generic
Les paquets suivants seront mis à jour :
  linux-headers-generic
1 mis à jour, 0 nouvellement installés, 1 à enlever et 1 non mis à jour.
Il est nécessaire de prendre 2 384 o dans les archives.
Après cette opération, 13,3 ko d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] O
Réception de:1 http://fr.archive.ubuntu.com/ubuntu yakkety-updates/main amd64 linux-headers-generic amd64 4.8.0.42.54 [2 384 B]
2 384 o réceptionnés en 0s (12,8 ko/s)            
(Lecture de la base de données... 286735 fichiers et répertoires déjà installés.)
Suppression de linux-generic (4.8.0.41.52) ...
(Lecture de la base de données... 286733 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../linux-headers-generic_4.8.0.42.54_amd64.deb ...
Dépaquetage de linux-headers-generic (4.8.0.42.54) sur (4.8.0.41.52) ...
Paramétrage de linux-headers-generic (4.8.0.42.54) ...
ettore@ettore-CR700:~$ sudo apt update
Atteint:1 http://fr.archive.ubuntu.com/ubuntu yakkety InRelease
Atteint:2 http://fr.archive.ubuntu.com/ubuntu yakkety-updates InRelease                         
Réception de:3 http://security.ubuntu.com/ubuntu yakkety-security InRelease [102 kB]            
102 ko réceptionnés en 0s (130 ko/s)                          
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
1 package can be upgraded. Run 'apt list --upgradable' to see it.
ettore@ettore-CR700:~$ apt list --upgradable
En train de lister... Fait
linux-image-generic/yakkety-updates 4.8.0.42.54 amd64 [upgradable from: 4.8.0.41.52]
N: There are 2 additional versions. Please use the '-a' switch to see them.
ettore@ettore-CR700:~$ 

Cela semble s'améliorer... Avec quelle commande le '-a' ?

Dernière modification par ettoremajorana (Le 17/03/2017, à 21:17)

Hors ligne

#4 Le 17/03/2017, à 21:26

cqfd93

Re : [RESOLU] 3 paquets que je n'arrive pas à mettre à jour

Là on retrouve le même message que dans l'autre discussion (mais tu ne l'avais pas avant apparemment).

J'aimerais voir tes sources :

find /etc/apt -name '*.list' -exec bash -c 'echo -e "\n$1\n"; nl -ba "$1"' _ '{}' \;

Et ta version d'Ubuntu :

cat /etc/issue
uname -a
echo "${XDG_CURRENT_DESKTOP}"

Hors ligne

#5 Le 17/03/2017, à 22:43

ettoremajorana

Re : [RESOLU] 3 paquets que je n'arrive pas à mettre à jour

Réponse à la première commande :

ettore@ettore-CR700:~$ find /etc/apt -name '*.list' -exec bash -c 'echo -e "\n$1\n"; nl -ba "$1"' _ '{}' \;

/etc/apt/sources.list.d/pipelight-stable-trusty.list


/etc/apt/sources.list.d/spotify.list


/etc/apt/sources.list

     1	# /etc/apt/sources.list
     2	
     3	
     4	  deb     http://security.ubuntu.com/ubuntu yakkety-security main restricted  universe multiverse
     5	# deb-src http://security.ubuntu.com/ubuntu yakkety-security main restricted  universe multiverse
     6	
     7	  deb     http://fr.archive.ubuntu.com/ubuntu/ yakkety main restricted  universe  multiverse
     8	# deb-src http://fr.archive.ubuntu.com/ubuntu/ yakkety main restricted  universe  multiverse
     9	
    10	  deb     http://fr.archive.ubuntu.com/ubuntu/ yakkety-updates main restricted  universe  multiverse
    11	# deb-src http://fr.archive.ubuntu.com/ubuntu/ yakkety-updates main restricted  universe  multiverse
    12	
    13	# deb     http://fr.archive.ubuntu.com/ubuntu/ yakkety-backports main restricted universe multiverse
    14	# deb-src http://fr.archive.ubuntu.com/ubuntu/ yakkety-backports main restricted universe multiverse
ettore@ettore-CR700:~$

Je suis admiratif devant la maîtrise de ligne de commandes aussi mystérieuses...

Hors ligne

#6 Le 17/03/2017, à 22:45

ettoremajorana

Re : [RESOLU] 3 paquets que je n'arrive pas à mettre à jour

Réponse à la deuxième commande :

ettore@ettore-CR700:~$ cat /etc/issue
Ubuntu 16.10 \n \l

ettore@ettore-CR700:~$ uname -a
Linux ettore-CR700 4.8.0-41-generic #44-Ubuntu SMP Fri Mar 3 15:27:17 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
ettore@ettore-CR700:~$ echo "${XDG_CURRENT_DESKTOP}"
Unity
ettore@ettore-CR700:~$ 

Hors ligne

#7 Le 17/03/2017, à 22:56

wido

Re : [RESOLU] 3 paquets que je n'arrive pas à mettre à jour

Bonjour,
essaye:

sudo apt list -a --upgradable

Hors ligne

#8 Le 17/03/2017, à 23:00

ettoremajorana

Re : [RESOLU] 3 paquets que je n'arrive pas à mettre à jour

ettore@ettore-CR700:~$ sudo apt list -a --upgradable
[sudo] Mot de passe de ettore : 
En train de lister... Fait
linux-image-generic/yakkety-updates 4.8.0.42.54 amd64 [upgradable from: 4.8.0.41.52]
linux-image-generic/yakkety-security,now 4.8.0.41.52 amd64 [installed,upgradable to: 4.8.0.42.54]
linux-image-generic/yakkety 4.8.0.22.31 amd64

ettore@ettore-CR700:~$ 

Hors ligne

#9 Le 17/03/2017, à 23:04

wido

Re : [RESOLU] 3 paquets que je n'arrive pas à mettre à jour

en gros il ne sait pas quoi choisir entre les 3 paquets

sudo apt-get install linux-image-generic

Dernière modification par wido (Le 17/03/2017, à 23:05)

Hors ligne

#10 Le 17/03/2017, à 23:10

ettoremajorana

Re : [RESOLU] 3 paquets que je n'arrive pas à mettre à jour

ettore@ettore-CR700:~$ sudo apt-get install linux-image-generic
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
  snap-confine
Veuillez utiliser « sudo apt autoremove » pour le supprimer.
Les paquets suivants seront ENLEVÉS :
  snapd
Les paquets suivants seront mis à jour :
  linux-image-generic
1 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 2 430 o dans les archives.
Après cette opération, 51,0 Mo d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] O
Réception de:1 [url]http://fr.archive.ubuntu.com/ubuntu[/url] yakkety-updates/main amd64 linux-image-generic amd64 4.8.0.42.54 [2 430 B]
2 430 o réceptionnés en 0s (10,1 ko/s)   
(Lecture de la base de données... 286732 fichiers et répertoires déjà installés.)
Suppression de snapd (2.22.6+16.10) ...
Warning: Stopping snapd.service, but it can still be activated by:
  snapd.socket
(Lecture de la base de données... 286704 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../linux-image-generic_4.8.0.42.54_amd64.deb ...
Dépaquetage de linux-image-generic (4.8.0.42.54) sur (4.8.0.41.52) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.5-1) ...
Paramétrage de linux-image-generic (4.8.0.42.54) ...
ettore@ettore-CR700:~$

Dernière modification par ettoremajorana (Le 17/03/2017, à 23:10)

Hors ligne

#11 Le 17/03/2017, à 23:13

cqfd93

Re : [RESOLU] 3 paquets que je n'arrive pas à mettre à jour

ettoremajorana a écrit :

Réponse à la première commande :

…
    13	# deb     http://fr.archive.ubuntu.com/ubuntu/ yakkety-backports main restricted universe multiverse
    14	# deb-src http://fr.archive.ubuntu.com/ubuntu/ yakkety-backports main restricted universe multiverse
ettore@ettore-CR700:~$

Je note que les dépôts backports ne sont pas activés, tu peux le faire via Logiciels & mises à jour ou en modifiant directement sources.list :

sudo nano /etc/apt/sources.list

Descendre jusqu'à la ligne

# deb     http://fr.archive.ubuntu.com/ubuntu/ yakkety-backports main restricted universe multiverse

et supprimer le "# "
Enregistre avec ctrl-O suivi de Entrée et ferme avec ctrl-X.
Et refaire les mises à jour :

sudo apt update
sudo apt full-upgrade

Je suis admiratif devant la maîtrise de ligne de commandes aussi mystérieuses...

Je n'ai pas pondu cette ligne mystérieuse, je me suis contentée de l'emprunter wink

Hors ligne

#12 Le 18/03/2017, à 00:04

ettoremajorana

Re : [RESOLU] 3 paquets que je n'arrive pas à mettre à jour

Problème résolu. MERCI BEAUCOUP

ettore@ettore-CR700:~$ sudo apt update
Atteint:1 http://fr.archive.ubuntu.com/ubuntu yakkety InRelease
Atteint:2 http://fr.archive.ubuntu.com/ubuntu yakkety-updates InRelease                                              
Atteint:3 http://fr.archive.ubuntu.com/ubuntu yakkety-backports InRelease                                            
Atteint:4 http://security.ubuntu.com/ubuntu yakkety-security InRelease                                               
Lecture des listes de paquets... Fait                         
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
All packages are up to date.
ettore@ettore-CR700:~$ 

Hors ligne

#13 Le 18/03/2017, à 00:19

wido

Re : [RESOLU] 3 paquets que je n'arrive pas à mettre à jour

ce qui a résolu le problème ça était quoi? la procédure de cqfd93?

Hors ligne

#14 Le 18/03/2017, à 01:00

cqfd93

Re : [RESOLU] 3 paquets que je n'arrive pas à mettre à jour

ettoremajorana a écrit :

Problème résolu. MERCI BEAUCOUP

Super !

Le retour de l'update ne montre plus ce message :

N: There are 2 additional versions. Please use the '-a' switch to see them.

et à la suite de ça, j'aurais aimé voir ausse le retour de :

sudo apt full-upgrade

qui montre effectivement ce qui a été mis à jour.

Hors ligne

#15 Le 18/03/2017, à 09:35

ettoremajorana

Re : [RESOLU] 3 paquets que je n'arrive pas à mettre à jour

@wido. Oui la procédure de cqfd93 a répondu à la problématique.

@cqfd93. Voici le résultat de

sudo apt full-upgrade
ettore@ettore-CR700:~$ sudo apt full-upgrade
[sudo] Mot de passe de ettore : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
ettore@ettore-CR700:~$ 

et celui de apt update :

ettore@ettore-CR700:~$ sudo apt update
Réception de:1 http://security.ubuntu.com/ubuntu yakkety-security InRelease [102 kB]
Atteint:2 http://fr.archive.ubuntu.com/ubuntu yakkety InRelease     
Atteint:3 http://fr.archive.ubuntu.com/ubuntu yakkety-updates InRelease                        
Atteint:4 http://fr.archive.ubuntu.com/ubuntu yakkety-backports InRelease                      
102 ko réceptionnés en 0s (129 ko/s)                                                           
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
All packages are up to date.
ettore@ettore-CR700:~$

Dernière modification par ettoremajorana (Le 18/03/2017, à 09:37)

Hors ligne

#16 Le 18/03/2017, à 09:45

cqfd93

Re : [RESOLU] 3 paquets que je n'arrive pas à mettre à jour

Bonjour,

Tout est bien à jour, merci pour les retours.

Hors ligne

#17 Le 18/03/2017, à 22:40

ettoremajorana

Re : [RESOLU] 3 paquets que je n'arrive pas à mettre à jour

Bonsoir,

Par contre, quand j'allume mon ordinateur, Ubuntu continue à détecter des erreurs et continue d'envoyer des rapports d'anomalie... Est-ce normal ? (Remarque : c'est sans grave conséquence, parce que mon ordinateur fonctionne correctement).

Hors ligne

#18 Le 18/03/2017, à 22:46

cqfd93

Re : [RESOLU] 3 paquets que je n'arrive pas à mettre à jour

Bonsoir,

Ça n'est pas normal mais si ton ordinateur fonctionne correctement, tu peux désactiver cet affichage avec :

sudo sed -i 's/enabled=1/enabled=0/' /etc/default/apport

Hors ligne